List Quests by Publication URL

View as Markdown

This endpoint returns a paginated list of quests. For GET requests, it returns the base quest list. For POST requests, if the JSON body contains a ‘url’ parameter (representing the publication’s custom URL), the view will filter the quests to return only those whose ‘created_by’ matches the Publication owner’s user. If the ‘url’ parameter is omitted, the full list is returned.

Query parameters

categorystringOptional
creation_statusenumOptional
* `not_started` - Not Started * `in_progress` - In Progress * `completed` - Completed * `failed` - Failed
Allowed values:
orderinglist of enumsOptional
Ordering * `created_at` - Created at * `-created_at` - Created at (descending) * `name` - Name * `-name` - Name (descending) * `popularity` - Popularity * `-popularity` - Popularity (descending)
ownedbooleanOptional
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
player_levelstringOptional
savedbooleanOptional
searchstringOptional
subcategorystringOptional
tagslist of integersOptional
visibilityenumOptional
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:

Response

A paginated list of quests. If a 'url' is provided in the POST body, only quests created by the corresponding Publication owner are returned.
countinteger
resultslist of objects
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"

Errors

400
Bad Request Error
401
Unauthorized Error